/*
 * ram-parse.h -- parse objects from disk file.
 */

extern u_long
fparse_long(FILE *fp);

extern void
fskipwhite(FILE *fp);

extern time_t
fparse_time(FILE *fp);

extern Success
fparse_conference(FILE *fp,
		 Conference *result);


Success
fparse_person(FILE *fp,
	     Person *person);

Success
fparse_membership(FILE *fp,
		 Membership *mship);

	
extern Success
fparse_membership_list(FILE *fp,
		      Membership_list *result);


extern Success
fparse_conf_list(FILE *fp,
		Conf_list_old *result);


extern Success
fparse_mark_list(FILE *fp,
		Mark_list *result);


extern Success
fparse_text_stat(FILE *fp,
		Text_stat *result);


extern Success
fparse_text_list(FILE *fp,
		Text_list *result);
    

extern Success
fparse_info(FILE *fp,
	   Info *result);


extern Success
fparse_string(FILE *fp,
	     String *result);

extern Success
fparse_member_list(FILE *fp,
		  Member_list *result);


extern Success
fparse_member(FILE *fp,
	     Member *result);

extern Success
fparse_mark(FILE *fp,
	   Mark *result);


extern Success
fparse_priv_bits(FILE *fp,
		Priv_bits *result);


extern Success
fparse_personal_flags(FILE *fp,
		     Personal_flags *result);

extern Success
fparse_conf_type(FILE *fp,
		Conf_type *result);


extern Success
fparse_who_info(FILE *fp,
	       Who_info *result);

    
extern Success
fparse_who_info_list(FILE *fp,
		     Who_info_list *result);

extern Success
fparse_misc_info(FILE *fp, 
		 Misc_info *result);

