/*
 * Malloc wrappers for the string package.
 *
 * These functions call smalloc and also counts
 * how many allocated strings there are.
 */

extern  void *
string_malloc(size_t size);


extern  void
string_free(void * ptr);

extern  void *
string_realloc (void * ptr,
		size_t size);

extern void
dump_string_alloc_counts(FILE *stat_file);
